<script>
	import Precipitations from '$lib/Widgets/Precipitations.svelte';
	import MinMaxTemps from '$lib/Widgets/MinMaxTemps.svelte';
	import Events from '$lib/Widgets/Events.svelte';
	import { user } from '$lib/preferences';
	import Extremes from '../../lib/Widgets/Extremes.svelte';
</script>

<div class="py-4">
	<div class="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
		<div class="grid grid-cols-4 gap-6">
			<Extremes />
			<Events />
			<Precipitations />
			<MinMaxTemps />

			{#if $user}
				<div
					class="group flex items-center justify-center col-span-4 border-dashed border-2 border-gray-300 hover:border-gray-400 rounded-lg h-24 cursor-pointer transition-colors duration-200 ease-out"
				>
					<svg
						xmlns="http://www.w3.org/2000/svg"
						class="h-6 w-6 text-gray-300 group-hover:text-gray-400 transition-colors duration-200 ease-out"
						fill="none"
						viewBox="0 0 24 24"
						stroke="currentColor"
					>
						<path
							stroke-linecap="round"
							stroke-linejoin="round"
							stroke-width="2"
							d="M12 6v6m0 0v6m0-6h6m-6 0H6"
						/>
					</svg>
				</div>
			{/if}
		</div>
	</div>
</div>
